extends ../../layout

block scripts
    script(src='/css/demo/default/custom/crud/forms/widgets/select2.js' type='text/javascript')

block content
    .m-grid__item.m-grid__item--fluid.m-wrapper
        // BEGIN: Subheader
        .m-subheader
            .d-flex.align-items-center
                .mr-auto
                    h3.m-subheader__title.m-subheader__title--separator New Role
                    ul.m-subheader__breadcrumbs.m-nav.m-nav--inline
                        li.m-nav__item.m-nav__item--home
                            a.m-nav__link.m-nav__link--icon(href='/employee/roles')
                                i.m-nav__link-icon.la.la-home
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/')
                                span.m-nav__link-text Home
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/employees')
                                span.m-nav__link-text Employees
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/employee/roles')
                                span.m-nav__link-text Roles
        // END: Subheader
        .m-content
            .row
                .col-md-9.offset-md-2
                    // begin::Portlet
                    .m-portlet
                        .m-portlet__head
                            .m-portlet__head-caption
                                .m-portlet__head-title
                                    span.m-portlet__head-icon.m--hide
                                        i.la.la-gear
                                    h3.m-portlet__head-text
                                        | Role details
                        // begin::Form
                        form(action='/employee/role/new' method='POST').m-form
                            .m-portlet__body
                                .form-group.m-form__group.row
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='slug') Slug
                                    .col-12
                                        input#slug.form-control.m-input(type='text' name='slug' placeholder='Enter slug alias')
                                        input(type='hidden', name='_csrf', value=_csrf)
                                        input(type='hidden', name='email', value=user.email)
                                        span.m-form__help Please enter slug alias for role.
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='name') Name
                                    .col-12
                                        input#name.form-control.m-input(type='text' name='name' placeholder='Enter name of role')
                                        span.m-form__help Please enter name of role.
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='description') Description
                                    .col-12
                                        input#description.form-control.m-input(type='text' name='description' placeholder='Enter description of role')
                                        span.m-form__help Please enter description of role.
                            .m-portlet__foot.m-portlet__foot--fit
                                .m-form__actions
                                    .row
                                        .col-6.m-auto
                                            button.btn.btn-accent.m-btn.m-btn--air.m-btn--custom(type='submit') Save changes
                                            button.btn.btn-secondary.m-btn.m-btn--air.m-btn--custom(type='reset') Cancel
                            // end::Form
                            // end::Portlet
